> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/resources/product-resources/end-of-life-product-documentation/os-mastermap-water-network-layer/os-mastermap-water-network-layer-technical-specification/code-lists-and-enumerations/hydronodecategoryvalue.md).

# HydroNodeCategoryValue

## **Code list: HydroNodeCategoryValue**

Classification value defining the type of hydrographic node.

| Code             | Description                                                                                                                                                                                                                                                                         |
| ---------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| flowConstriction | A split in the network captured to indicate a hydrographic point of interest or facility, or a man-made object that affects the network flow. This attribute is not manifested in this release of the data; however, it will be utilised in future data updates.                    |
| flowRegulation   | A split in the network captured to indicate a man-made object that is used to regulate the network flow. This value is not currently supplied.                                                                                                                                      |
| junction         | A split in the network to indicate where three or more WatercourseLink features meet at the same level, for example, confluences or bifurcations.                                                                                                                                   |
| outlet           | The end terminal of a set of one or more interconnected links that does not have any downstream flow, for example, where a watercourse sinks into the ground or the point where a river enters the sea.                                                                             |
| source           | The start terminal of a set of one or more interconnected links that has downstream flow, for example, springs or collects.                                                                                                                                                         |
| pseudo           | A location where the real-world attribution of a watercourse changes that requires a WatercourseLink to be split.                                                                                                                                                                   |
| boundary         | <p>HydroNode used to connect different networks.</p><p><em>Note: Can be used to connect cross border networks or adjacent networks together. Differs from source / outlet in that in the real world there is an adjacent link that is not present in the dataset supplied.</em></p> |

Where the hydroNodeCategory has not been determined, this attribute is set to null and the value of nilReason is set to ‘unknown’.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/resources/product-resources/end-of-life-product-documentation/os-mastermap-water-network-layer/os-mastermap-water-network-layer-technical-specification/code-lists-and-enumerations/hydronodecategoryvalue.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
